Doomsday Engine - Feature #1574

Native 64-bit Windows build
2012-10-10 14:32 - roman313

Status: Closed Start date: 2012-10-10
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.0 — Home Ul & Packages

Description

Please build 64-bit version for Windows !

Labels: 64-bit, Windows, Builder

Associated revisions

Revision 756d0d16 - 2016-03-17 23:23 - skyjake
Windows|64-bit: Build on MSVC 2015, 64-bit Qt 5.6; cleanup of external libs

EAX2 is not available in 64 bits, so the DirectSound plugin is
compiled without any EAX2 features when doing a 64 bit build.

LZSS is now compiled from source on all platforms.

Updated zlib to 1.2.8 on Windows, with prebuilt binaries included in
the repository (x86 and x64).

Fixed a couple of warnings about converting 64-bit values to 32-bit.

IssuelD #1574

Revision dc69434e - 2016-03-17 23:29 - skyjake

Windows|64-bit: Build on MSVC 2015, 64-bit Qt 5.6; cleanup of external libs

EAX2 is not available in 64 bits, so the DirectSound plugin is
compiled without any EAX2 features when doing a 64 bit build.

LZSS is now compiled from source on all platforms.

Updated zlib to 1.2.8 on Windows, with prebuilt binaries included in
the repository (x86 and x64).

Fixed a couple of warnings about converting 64-bit values to 32-bit.

IssuelD #1574

History

#1 - 2012-10-17 12:58 - roman313
QT-win64-opensource-4.8.2-noqt3-vs2008.exe

http://code.google.com/p/gt-msvc-installer/downloads/detail ?name=qt-win64-opensource-4.8.2-noqt3-vs2008.exe

http://code.google.com/p/gt-msvc-installer/downloads/detail ?name=qt-win64-opensource-4.8.2-noqt3-vs2008-1.bin

http://code.google.com/p/gt-msvc-installer/downloads/detail ?name=qt-win64-opensource-4.8.2-nogt3-vs2008-2.bin

QT Creator 1.3.1 64-bit
http://qt-msvc-installer.googlecode.com/issues/attachment?aid=-6430639975472488532&name=qtcreator-1.3.1_x64.zip&token=bvb1F-xbSwGIYiNfW

52wd2D2619%3A 1350891724243

#2 - 2012-10-22 07:18 - skyjake

- labels: 64-bit --> 64-bit, Windows, Builder
- summary: native 64-bit Windows dengine --> Native 64-bit Windows build
- priority: 1 --> 8
http://code.google.com/p/qt-msvc-installer/downloads/detail?name=qt-win64-opensource-4.8.2-noqt3-vs2008-1.bin
http://code.google.com/p/qt-msvc-installer/downloads/detail?name=qt-win64-opensource-4.8.2-noqt3-vs2008-2.bin
http://qt-msvc-installer.googlecode.com/issues/attachment?aid=-6430639975472488532&name=qtcreator-1.3.1_x64.zip&token=bvb1F-xbSwGIYiNfW52wd2D261g%3A1350891724243
#3 - 2012-10-22 07:39 - skyjake

64-bit builds on Windows is definitely in the plans. However, currently we're being held back by an issue in Qt 4.8 that affects smoothness of
Doomsday's display refresh on Windows. AFAIK, the version of Qt that we're using (4.7) supports only MSVS 2008 and thus 64-bit builds are not
possible.

(Danid is the primary Windows developer on the team.)

#4 - 2012-10-22 07:46 - roman313

It is possible to compile QT 4.8 to 64-bit,

and possible to recompile doomsday engine to 64-bit.

You can download VS2010 Express for free.

Steps to compile QT 4.8 to 64-bit:
http://emocias.blogspot.com/2012/08/compile-qt-482-64bit-library-with.html

#5 - 2013-10-22 12:48 - skyjake

- Tags set to Windows

- Category set to Enhancement

- Status changed from New to In Progress

- % Done changed from 0 to 30

This is definitely in progress, however no one has had the time to actually try to collect 64-bit versions of all the dependencies and set up a builder for
64-bit Windows.

#6 - 2015-08-19 13:56 - skyjake

- Target version set to 2.0 — Home Ul & Packages

#7 - 2015-11-15 17:34 - skyjake

- Target version changed from 2.0 — Home Ul & Packages to Rendering

#8 - 2016-03-17 22:54 - skyjake
- Assignee set to skyjake
- Target version changed from Rendering to 2.0 — Home Ul & Packages

- % Done changed from 30 to 90

Now working thanks to Qt 5.6 and MSVC 2015. The last thing needed is to upgrade the Windows autobuilder.

#9 - 2016-03-27 15:09 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

The Windows builds are now offered as both x86 and x64 variants.

#10 - 2016-04-26 09:59 - skyjake

- Status changed from Resolved to Closed
